<p-dialog [(visible)]="modalState" [closable]="false" [modal]="true"
          [closeOnEscape]="false" [maximizable]="false"
          [header]="lang.getCreateCategory()" appendTo="body"
          [draggable]="false" [focusOnShow]="true"
          [positionTop]="200" [style]="{width: '40vw'}">

    <div class="p-fluid">
        <div class="p-grid">
            <div class="p-col-12">
                <label>{{lang.getCreateCategory()}}</label>
                <input pInputText type="text" (input)="createSlug()" [minlength]="4" [maxlength]="20"
                       [(ngModel)]="category.name">
            </div>
            <div class="p-col-12">
                <label>{{lang.getSlug()}}</label>
                <input pInputText type="text" [(ngModel)]="category.slug">
            </div>
        </div>
        <div class="p-grid p-justify-end">
            <div class="p-col-12 p-xl-3">
                <p-toggleButton [onLabel]="lang.getPinned()" [offLabel]="lang.getPinned()"
                                [ngClass]="{ 'p-button-success': category.pinned, 'p-button-danger': !category.pinned }"
                                onIcon="pi pi-check" offIcon="pi pi-times"
                                [(ngModel)]="category.pinned"></p-toggleButton>
            </div>
        </div>
    </div>

    <p-footer>
        <button pButton [label]="lang.getCancel()"
                (click)="hideCreateCategoryModal()">
        </button>
        <button pButton [label]="lang.getSave()"
                (click)="saveCategory()">
        </button>
    </p-footer>

</p-dialog>
